Qué aprenderás sobre la creación de APIs con Ruby on Rails

1/33
Recursos

Aportes 12

Preguntas 6

Ordenar por:

¿Quieres ver más aportes, preguntas y respuestas de la comunidad? Crea una cuenta o inicia sesión.

Deben actualizar este curso. El curso anterior que menciona el profesor ya no esta disponible. Y se supone que este curso es a continuación del otro curso. Entonces se pierde el hilo de un curso anterior que no existe con este. Espero que lo solucionen.

Cualquier duda o sugerencja les puedo apoyar :)

el curso de rails ya no esta, cual debo ver antes

¿Cuál es el curso anterior que menciona el profesor?

Con todo respeto, no es posible que desde hace 3 años no puedan arreglar un link , cuando su fuerte es dar clases de programación. El contenido de los curos me parece increíblemente bueno, pero la plataforma tiene detalles que son un claro descuido de de los administradores

Comenzamos con API’s…

A aprender! 😄

Para instalar un Ruby version manager. Prefiero rbenv (Ruby Enviroment). Acá el link a la documentación https://github.com/rbenv/rbenv

Las genmas para agregar:

Development y Test

group :development, :test do
  gem 'rspec-rails', '~> 3.5'
end

Solo test

group :test do
  gem 'factory_bot_rails', '~> 4.0'
  gem 'shoulda-matchers', '~> 3.1'
  gem 'faker', '~> 1.9'
  gem 'database_cleaner', '~>1.7'
end

En rails_helper.rb la línea 47

config.before(:suite) do
    DatabaseCleaner.strategy = :transaction
    DatabaseCleaner.clean_with(:truncation)
  end

  config.around(:each) do |example|
    DatabaseCleaner.cleaning do
      example.run
    end
  end

Iniciando con Ruby!!!